Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517101 - SSUI: Unnecessary word "Relationships" on My Services details page.
Summary: SSUI: Unnecessary word "Relationships" on My Services details page.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: GA
: 5.10.0
Assignee: Allen W
QA Contact: Dave Johnson
URL:
Whiteboard: ui:service
Depends On:
Blocks: 1524716
TreeView+ depends on / blocked
 
Reported: 2017-11-24 08:24 UTC by Satyajit Bulage
Modified: 2018-06-21 20:40 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1524716 (view as bug list)
Environment:
Last Closed: 2018-06-21 20:40:31 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing actual results (deleted)
2017-11-24 08:24 UTC, Satyajit Bulage
no flags Details
If we DO show it, would have to be a patternfly empty state, look something like this (deleted)
2017-11-28 15:53 UTC, Allen W
no flags Details

Description Satyajit Bulage 2017-11-24 08:24:02 UTC
Created attachment 1358548 [details]
Screenshot showing actual results

Description of problem:


Version-Release number of selected component (if applicable):
5.9.0.10.20171121225911_a2209d2

How reproducible: 100%


Steps to Reproduce:
1. From Service Catalog order service 
2. Navigate to My Services
3. Click on any Service and scroll to the bottom

Actual results: "Relationships" word is present.


Expected results: It should not be present there.


Additional info:

Comment 2 Chris Kacerguis 2017-11-24 14:03:24 UTC
Loic - Do we want to show the relationship header when there are no relationships?

Comment 3 Allen W 2017-11-28 15:53:07 UTC
Created attachment 1359951 [details]
If we DO show it, would have to be a patternfly empty state, look something like this

Comment 4 Chris Kacerguis 2017-11-30 15:12:03 UTC
Allen - Please show it, and just have the PF empty state.

Comment 5 Allen W 2017-11-30 15:18:09 UTC
Awesome, so here we go then: 
https://github.com/ManageIQ/manageiq-ui-service/pull/1292

Comment 6 Allen W 2017-12-05 19:21:33 UTC
Its been merged, moving this to post


Note You need to log in before you can comment on or make changes to this bug.